## org.apache.lucene.analysis.uima
Class UIMATypeAwareAnnotationsTokenizerFactory

    java.lang.Object
      org.apache.lucene.analysis.util.AbstractAnalysisFactory
          org.apache.lucene.analysis.util.TokenizerFactory
              org.apache.lucene.analysis.uima.UIMATypeAwareAnnotationsTokenizerFactory

    public class UIMATypeAwareAnnotationsTokenizerFactory

extends TokenizerFactory

`TokenizerFactory` for `UIMATypeAwareAnnotationsTokenizer`

Field Summary

Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory
`LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

Constructor Summary
`UIMATypeAwareAnnotationsTokenizerFactory(Map<String,String> args)` Creates a new UIMATypeAwareAnnotationsTokenizerFactory

Method Summary
`UIMATypeAwareAnnotationsTokenizer` `create(AttributeSource.AttributeFactory factory, Reader input)`

Methods inherited from class org.apache.lucene.analysis.util.TokenizerFactory
`availableTokenizers, create, forName, lookupClass, reloadTokenizers`

Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory
`assureMatchVersion, get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitFileNames`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UIMATypeAwareAnnotationsTokenizerFactory

    public UIMATypeAwareAnnotationsTokenizerFactory(Map<String,String> args)

  Creates a new UIMATypeAwareAnnotationsTokenizerFactory

Method Detail

### create

    public UIMATypeAwareAnnotationsTokenizer create(AttributeSource.AttributeFactory factory,
                                                    Reader input)

  Specified by:
    `create` in class `TokenizerFactory`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.